Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1276614 - xsupplicant: Usage of fixed temtporary file
Summary: xsupplicant: Usage of fixed temtporary file
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1276615 1276616
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-30 10:10 UTC by Adam Mariš
Modified: 2019-09-29 13:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:44:56 UTC


Attachments (Terms of Use)
proposed fix for tmp file naming issue (3.40 KB, patch)
2015-10-30 16:00 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Adam Mariš 2015-10-30 10:10:58 UTC
It was found that xsupplicant uses hardcoded fixed temporary file for sockets, storing into /tmp/xsupplicant.sock.$INTERFACE.

Comment 1 Adam Mariš 2015-10-30 10:11:29 UTC
Created xsupplicant tracking bugs for this issue:

Affects: fedora-all [bug 1276615]
Affects: epel-all [bug 1276616]

Comment 2 Tom "spot" Callaway 2015-10-30 16:00:53 UTC
Created attachment 1087976 [details]
proposed fix for tmp file naming issue

I _think_ this patch should fix the issue, but I'd definitely like more eyes on it before I push updates. Also, xsupplicant upstream is dead as far as I can see, so it is unlikely they'll be able to help here.

Comment 3 Fedora Update System 2015-12-19 18:28:14 UTC
xsupplicant-2.2.0-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-12-20 00:23:49 UTC
xsupplicant-2.2.0-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-01-05 21:36:57 UTC
xsupplicant-2.2.0-13.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:44:56 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.